CrossOver

genetic

## Class CrossOver

- java.lang.Object
- - genetic.CrossOver

-     public class CrossOver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private jm.music.data.Phrase[]` | `chromosomes`
    `private boolean` | `mixInMotifs`
    `private double` | `motifMixPropability`
    `private jm.music.data.Phrase[]` | `motifs`
    `private double` | `mutationPropability`
    `private int` | `newPopulationSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossOver(jm.music.data.Phrase[] chromosomes, jm.music.data.Phrase[] motifs, boolean mixInMotifs, double motifMixPropability, double mutationPropability)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `jm.music.data.Phrase[]` | `doCrossOver()`
    `private jm.music.data.Phrase` | `onePointCrossOver(jm.music.data.Phrase parentOne, jm.music.data.Phrase parentTwo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chromosomes

          private jm.music.data.Phrase[] chromosomes

    - #### newPopulationSize

          private int newPopulationSize

    - #### motifs

          private jm.music.data.Phrase[] motifs

    - #### mutationPropability

          private double mutationPropability

    - #### motifMixPropability

          private double motifMixPropability

    - #### mixInMotifs

          private boolean mixInMotifs

  - ### Constructor Detail

    - #### CrossOver

          public CrossOver(jm.music.data.Phrase[] chromosomes,
                   jm.music.data.Phrase[] motifs,
                   boolean mixInMotifs,
                   double motifMixPropability,
                   double mutationPropability)

  - ### Method Detail

    - #### doCrossOver

          public jm.music.data.Phrase[] doCrossOver()

    - #### onePointCrossOver

          private jm.music.data.Phrase onePointCrossOver(jm.music.data.Phrase parentOne,
                                               jm.music.data.Phrase parentTwo)